/**************************************************************************************************/
/**************************************************************************************************/
/* Map Styling Start ******************************************************************************/
/**************************************************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Map Generic Rules Start ************************************************************************/
/**************************************************************************************************/

* {
    box-sizing: border-box
  }
  
  body {
    margin: 0;
    padding: 0;
  }
  
  .map {
    /* margin-top: 10vh; */
    height: 80vh;
    width: 100%;
  }

/**************************************************************************************************/
/* Map Generic Rules End **************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Map Toolbar Start ******************************************************************************/
/**************************************************************************************************/

.mapeditor-toolbar{
  left: .5em;
  top:100px
}

.recycler-toolbar{
  left: 50%;
}

.directions-toolbar{
  left: 50%;
}

.add-polygon {
	top: 65px;
}

.modify-feature{
  top: 95px;
}

.remove-feature{
  top: 95px;
}

.add-point {
	top: 125px;
}

.move-feature{
  top: 155px;
}

.do-report{
  top: 195px;
}

.get-directions{
  display: block;
  position: absolute;
  bottom:120px;
  width: 300px;
  margin-left: -150px;
  white-space: nowrap;
}

.do-recycle{
  display: block;
  position: absolute;
  bottom:120px;
  width: 300px;
  margin-left: -150px;
  white-space: nowrap;
}


.ol-control button, .ol-control button:focus{
  background-color: rgba(38,169,224,.7);
  color: #ffffff;
}

.ol-control button:hover  {
  background-color: #ffffff;
  color: rgba(38,169,224,.7);
}

.ol-attribution button span{
  color: #ffffff;
}

.ol-scale-line {
  background-color: rgba(38,169,224,.9);
}

.ol-scale-line-inner {
  border: 1px solid #fff;
  border-top: none;
  color: #fff;
}

.do-recycle button {
  display: block;
    margin: 0px;
    padding: 0px;
    font-size: 20px;
    font-weight: 700;
    text-decoration: none;
    text-align: center;
    height: 100%;
    width: 100%;
    line-height: 50px;
    background-color: rgba(38,169,224,.7);
    color: #ffffff;
    border: none;
    border-radius: 5px;
}

.do-recycle button:focus, .do-recycle button:hover {
  background-color: rgba(126,95,2,.7);
  color: #ffffff;
}


.get-directions button {
  display: block;
    margin: 0px;
    padding: 0px;
    font-size: 20px;
    font-weight: 700;
    text-decoration: none;
    text-align: center;
    height: 100%;
    width: 100%;
    line-height: 50px;
    background-color: rgba(38,169,224,.7);
    color: #ffffff;
    border: none;
    border-radius: 5px;
}

.do-recycle button:hover {
  background-color: #ffffff;
  color: rgba(38,169,224,.7);
}


.ol-touch add-point {
  top: 80px;
}

/**************************************************************************************************/
/* Map Toolbar End ********************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlays Priority Start ************************************************************************/
/**************************************************************************************************/

.overlayInfo {
  z-index: 200;
  width: 100%;
  height: 100%;
  top: -50%;
  left: -50%;
}

.overlayMsg {
  z-index: 150;
}

.overlaySystem {
  z-index: 150;
}

.overlayHelp {
  z-index: 150;
}

.overlayMeasure {
  z-index: 100;
}

.overlayForm {
  z-index: 200;
  width: 100%;
  height: 100%;
  top: -50%;
  left: -50%;
}

/**************************************************************************************************/
/* Overlays Priority End **************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Coloring Start *************************************************************************/
/**************************************************************************************************/

.info-msg,
.success-msg,
.warning-msg,
.error-msg {
  width: 100%;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  font-size: 16px;
}

.success-msg {
  background-color: rgba(227, 253, 235, 1);
  border-color: rgba(38, 179, 3, 1);
  color: rgba(60, 118, 61, 1);
}

.info-msg {
  background-color: rgba(217, 237, 247, 1);
  color: rgba(49, 112, 143, 1);
  border-color: rgba(126, 182, 193, 1);
}


.warning-msg, .warning-msg a, .warning-msg a:hover, .warning-msg a:focus, .warning-msg a:visited {
  background-color: rgba(252, 248, 227, 1);
  border-color: rgba(177, 161, 129, 1);
  color: rgba(138, 109, 59, 1);
}

.error-msg {
  background-color: rgba(248, 215, 218, 1);
  border-color: rgba(220, 53, 69, 1);
  color: rgba(114, 28, 36,1);
}

/**************************************************************************************************/
/* Overlay Coloring End ***************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Message Start **************************************************************************/
/**************************************************************************************************/

#overlayMsg-container {
  position: absolute;
  margin: 10px auto 0px auto;
  padding: 10px 1vw;
  border-radius: 10px;
  line-height: 25px;
  left: -35vw;
  width: 70vw;
  height: auto;
}

#overlayMsg-content{
  text-align: left;
}

/**************************************************************************************************/
/* Overlay Message End ****************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Help Start *****************************************************************************/
/**************************************************************************************************/

#overlayHelp-container {
  position: absolute;
  border-radius: 10px;
  padding: 10px 1vw;
  line-height: 25px;
  left: -36vw;
  bottom: 10px;
  width: 70vw;
  height: auto;
}

#overlayHelp-content{
  text-align: left;
}

/**************************************************************************************************/
/* Overlay Help End *******************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay System Start ***************************************************************************/
/**************************************************************************************************/

#overlaySystem-container {
  position: absolute;
  border-radius: 10px;
  padding: 10px 1vw;
  line-height: 25px;
  left: -36vw;
  bottom: 10px;
  width: 70vw;
  height: auto;
}

#overlaySystem-title{
  
  text-align: left;
  line-height: 20px;
  font-size: 12px;
}

#overlaySystem-toolbar{
  
  line-height: 20px;
  font-size: 12px;
}

.overlaySystem-hide{
  text-decoration: none;
  position: absolute;
  top: 8px;
  right: 8px;
  border: none;
  color:currentColor;
  background-color: transparent;
  transition: 0.5s;
  font-size: large;
}

#overlaySystem-content{
  text-align: left;
}

/**************************************************************************************************/
/* Overlay System End *****************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Info Start *****************************************************************************/
/**************************************************************************************************/


#overlayInfo-container {
  position: relative;
  background-color: #393d4c;
  opacity: 0.95;
  box-shadow: 0 1px 4px rgb(0 0 0 / 20%);
  padding: 2%;
  border-radius: 10px;
  line-height: 25px;
  border: 0px solid #cccccc;
  color:#FFFFFF;
  top: 12.5%;
  left: 20%;
  width: 60%;
  height: 75%;
  transition: 0.5s;
}

#overlayInfo-content {
  top: 70px;
  bottom: 20px;
  width: 100%;
  max-width: 95%;
  position: absolute;
  display: block;
  overflow-y: auto;
}

#overlayInfo-toolbar {
  width: 25%;
  display: inline-block;
  position: absolute;
  top: 15px;
  right: 15px;
  text-align: right;
}

#overlayInfo-toolbar div {
  display: inline-block;
}

.overlayInfo-button {
  margin: 0px 5px;
  padding: 5px;
  font-size: 20px;
}

.overlayInfo-close{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayInfo-close:hover{
  color:#26A9E0;
  background-color: transparent;
}

.overlayInfo-show_hide{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayInfo-show_hide:hover{
  color:#26A9E0;
  background-color: transparent;
}

.overlayInfo-email{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayInfo-email:hover{
  color:#26A9E0;
  background-color: transparent;
}

.overlayInfo-print{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayInfo-print:hover{
  color:#26A9E0;
  background-color: transparent;
}

.overlayInfo-pdf{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayInfo-pdf:hover{
  color:#26A9E0;
  background-color: transparent;
}

#overlayInfo-title {
  width: 75%;
  display: inline-block;
  position: absolute;
  color:#26A9E0;
  top: 15px;
  left: 15px;
}

#overlayInfo-description {
  position: relative;
  padding: 1%;
  width: 58%;
  height: auto;
  max-height: 78%;
  float: right;
  text-align: justify;
  overflow: auto;
}


#overlayInfo-image {
  position: relative;
  padding:1% 0px 0px 1%;
  width: 38%;
  text-align: center;
  float: left;
}

#overlayInfo-image img {
  width: 100%;
}

#overlayInfo-image .faUnicode {
  font-size: 10vw;
}


#overlayInfo-address {
  position: relative;
  font-size: 12px;
  padding: 1%;
  width: 58%;
  max-height: 15%;
  text-align: justify;
  float: right;
}

#overlayInfo-operator {
  position: relative;
  font-size: 12px;
  padding:1% 0px 0px 1%;
  width: 38%;
  text-align: justify;
  float: left;
}

#overlayInfo-contact_person {
  position: relative;
  font-size: 12px;
  padding:1% 0px 0px 1%;
  width: 38%;
  text-align: justify;
  float: left;
}

#overlayInfo-contact_info {
  height: 40px;
  font-size: 30px;
  position: relative;
  display: block;
  text-align: center;
  float: left;
}

#overlayInfo-contact_info a {
  margin: 5px;
  font-size: 30px;
  position: relative;
  display: block;
  text-align: center;
  float: left;
}

#overlayInfo-social_facebook {
  margin: 5px;
  font-size: 30px;
  position: relative;
  display: block;
  text-align: center;
  float: left;
}

#overlayInfo-social_twitter {
  margin: 5px;
  font-size: 30px;
  position: relative;
  display: block;
  text-align: center;
  float: left;
}

/* #overlayInfo-included_number {
  position: absolute;
  font-weight: bold;
  top:80px;
} */

/* #overlayInfo-included_area {
  position: absolute;
  font-weight: bold;
  top:110px;
} */

/* #overlayInfo-included_types {
  position: absolute;
  font-weight: bold;
  top:140px;
} */

#overlayInfo-graph_bar{
  margin:20px 0px;
  width:50%;
  display: inline-block;
  position: relative;
  font-weight: bold;
  color: #fff;
  /* top:190px; */
  right:0px;
}

#overlayInfo-graph_pie{
  margin:20px 0px;
  width:50%;
  display: inline-block;
  position: relative;
  font-weight: bold;
  /* top:190px; */
}


@media screen and (min-width: 0px) and (max-width: 960px){

  #overlayInfo-container {
    position: relative;
    background-color: #393d4c;
    opacity: 0.95;
    box-shadow: 0 1px 4px rgb(0 0 0 / 20%);
    padding: 2%;
    border-radius: 10px;
    line-height: 25px;
    border: 0px solid #cccccc;
    color:#FFFFFF;
    top: 2.5%;
    left: 5%;
    width: 90%;
    height: 95%;
    transition: 0.5s;
  }

  #overlayInfo-content {
    text-align: center;
  }

  #overlayInfo-graph_bar{
    margin:20px auto;
    width:90%;
    display: inline-block;
    position: relative;
    font-weight: bold;
    color: #fff;
    /* top:190px; */
    right:0px;
  }
  
  #overlayInfo-graph_pie{
    margin:20px auto;
    width:90%;
    display: inline-block;
    position: relative;
    font-weight: bold;
    /* top:190px; */
  }

}

/**************************************************************************************************/
/* Overlay Info End *******************************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Print View Start *******************************************************************************/
/**************************************************************************************************/

@media print {
  
  #header, .top-nav, footer{
    display: none !important;
  }

  #aq-block-9952-2,#aq-block-9952-7,.not_for_report_1,.not_for_report_2,.totop{
    display: none !important;
  }

  .overlayInfo {
      z-index: 2000 !important;
      width: 100% !important;
      height: 100% !important;
      top: 0 !important;
      left: 0 !important;
      position: fixed !important;
      pointer-events: auto !important;
      transform: none !important;
  }

  #overlayInfo-container {
    position: absolute !important;
    background-color: #393d4c !important;
    opacity: 1 !important;
    box-shadow: none !important;
    padding: 2% !important;
    border-radius: 0px !important;
    line-height: 25px !important;
    border: 0 !important;
    color: #FFFFFF !important;
    top: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;
    width: 100vw !important;
    min-height: 100vh !important;
    transition: 0.5s;
  }
  
  #overlayInfo-toolbar {
    display: none !important;
    visibility: hidden !important;
  }

  #overlayInfo-close {
    display: none !important;
    visibility: hidden !important;
  }

  canvas{
    background-color: #393d4c !important;
  }

}

/**************************************************************************************************/
/* Print View End *********************************************************************************/
/**************************************************************************************************/



/**************************************************************************************************/
/* Overlay Form Start *****************************************************************************/
/**************************************************************************************************/


#overlayForm-container {
  position: relative;
  background-color: #393d4c;
  opacity: 0.95;
  box-shadow: 0 1px 4px rgb(0 0 0 / 20%);
  padding: 2%;
  border-radius: 10px;
  line-height: 25px;
  border: 0px solid #cccccc;
  color:#FFFFFF;
  top: 12.5%;
  left: 20%;
  width: 60%;
  height: 75%;
}

/* #overlayForm-container {
  position: absolute;
  background-color: white;
  box-shadow: 0 1px 4px rgba(0,0,0,0.2);
  padding: 15px;
  border-radius: 10px;
  line-height: 25px;
  border: 1px solid #cccccc;
  top: -225px;
  left: -400px;
  width: 800px;
  height:450px;
} */

#overlayForm-toolbar {
  width: 20%;
  display: inline-block;
  position: absolute;
  top: 15px;
  right: 15px;
  text-align: right;
}

#overlayForm-toolbar div {
  display: inline-block;
}

.overlayForm-button {
  margin: 0px 5px;
  padding: 5px;
  font-size: 20px;
}

.overlayForm-cancel{
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayForm-cancel:hover{
  color:#26A9E0;
  background-color: transparent;
}


.overlayForm-save {
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayForm-save:hover {
  color:#26A9E0;
  background-color: transparent;
}

.overlayForm-delete {
  border: none;
  color:#FFFFFF;
  background-color: transparent;
  transition: 0.5s;
}

.overlayForm-delete:hover {
  color:#26A9E0;
  background-color: transparent;
}

#overlayForm-title{
  width: 80%;
  display: inline-block;
  position: absolute;
  color:#26A9E0;
  top: 15px;
  left: 15px;
}

.overlayForm-legend {
  position: relative;
  display: inline-block;
  font-weight: bold;
  font-size: large;
  border: none;
}

#overlayForm-content {
  top: 70px;
  bottom: 20px;
  width: 100%;
  max-width: 95%;
  position: absolute;
  display: block;
  overflow-y: auto;
}

.overlayForm-label {
  position: relative;
  display: inline-block;
  font-size: 12px;
  width:25%;
  vertical-align: top;
}

.overlayForm-input {
  margin-bottom: 5px;
  position: relative;
  display: inline-block;
  width:75%;
  height: 30px;
  border-radius: 5px;
}

.overlayForm-select {
  margin-bottom: 5px;
  position: relative;
  display: inline-block;
  width:75%;
  height: 40px;
  border-radius: 5px;
}

.overlayForm-textarea {
  height: 150px;
  margin-bottom: 5px;
  position: relative;
  display: inline-block;
  width:75%;
  border-radius: 5px;
}

.overlayForm-selectImage {
   display: inline-block;
   vertical-align: middle;
}

.f_image_preview_wrapper{
  display: inline-block;
  vertical-align: middle;
}


@media screen and (min-width: 0px) and (max-width: 960px){

  #overlayForm-container {
    position: relative;
    background-color: #393d4c;
    opacity: 0.95;
    box-shadow: 0 1px 4px rgb(0 0 0 / 20%);
    padding: 2%;
    border-radius: 10px;
    line-height: 25px;
    border: 0px solid #cccccc;
    color:#FFFFFF;
    top: 2.5%;
    left: 5%;
    width: 90%;
    height: 95%;
  }

}

/**************************************************************************************************/
/* Overlay Form End *******************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Filter Start ***************************************************************************/
/**************************************************************************************************/

#overlayFilter-container {
  position: absolute;
  background-color: white;
  box-shadow: 0 1px 4px rgba(0,0,0,0.2);
  padding: 15px;
  border-radius: 10px;
  line-height: 25px;
  border: 1px solid #cccccc;
  top: -250px;
  left: -400px;
  width: 800px;
  height:500px;
}

/**************************************************************************************************/
/* Overlay Filter End *****************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Overlay Report Start ***************************************************************************/
/**************************************************************************************************/

.report_table_section_header{
  margin: 15px 0px;
  width: 100%;
  text-align: center;
  font-size: 30px;
}

.report_table{
  margin: 25px 0px;
  width: 100%;
  
}

.report_table_td{
  width: 50%;
  vertical-align: middle;
  line-height: 25px;
}

.report_table_icon{
  font-size: 100px;
  text-align: center;
}

.report_table_numbers{
  font-weight: bold;
  font-size: 25px;
  vertical-align: top;
}


/**************************************************************************************************/
/* Overlay Report End *****************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/**************************************************************************************************/
/* Map Styling End ********************************************************************************/
/**************************************************************************************************/
/**************************************************************************************************/



/**************************************************************************************************/
/**************************************************************************************************/
/* Wordpress Theme Customization Start ************************************************************/
/**************************************************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Ultimate Member Plugin Start *******************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Ultimate Member Plugin End *********************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Top Navigation Start ***************************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Top Navigation  End ****************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/* Mobile View Start ******************************************************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/* Mobile View End ********************************************************************************/
/**************************************************************************************************/


/**************************************************************************************************/
/**************************************************************************************************/
/* Wordpress Theme Customization End **************************************************************/
/**************************************************************************************************/
/**************************************************************************************************/
